Method: folders.capabilityConfigs.get

Retrieves the CapabilityConfig identified by the specified name (for example, folders/123456789/capabilityConfigs/my-capability-config).

HTTP request

GET https://cloudresourcemanager.googleapis.com/v3/{name=folders/*/capabilityConfigs/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the CapabilityConfig to retrieve. Format: organizations/{organization}/capabilityConfigs/{capabilityConfig} or, folders/{folder}/capabilityConfigs/{capabilityConfig} or, projects/{project}/capabilityConfigs/{capabilityConfig} Example: folders/123456789/capabilityConfigs/my-capability-config

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CapabilityConfig.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only

For more information, see the Authentication Overview.